#pragma once
#include "P2PeerTarget.h"

#ifdef _WIN32_WCE
#error "CMDIChildWnd is not supported for Windows CE."
#endif 

// CMDIChildExecute frame with splitter

class CMDIChildExecute : public CMDIChildWndEx, public P2PeerTarget
{
	  DECLARE_DYNCREATE(CMDIChildExecute)
    protected:
	      CMDIChildExecute();           // protected constructor used by dynamic creation
	    virtual
       ~CMDIChildExecute();

    // Attributes
	  CSplitterWnd  m_wndSplitter;
    bool          m_bInitSplitter;

    // MFC virtual overrides
    protected:
      virtual BOOL
        OnCreateClient ( LPCREATESTRUCT lpcs, CCreateContext *pContext );
     	virtual BOOL
        PreCreateWindow ( CREATESTRUCT& cs );

    // Trouble shooting
    public:
    #ifdef _DEBUG
	    virtual
        void AssertValid() const;
      virtual
        void Dump(CDumpContext& dc) const;
    #endif

    // P2PeerMsg_MAP handlers
    // NOTES: Placemarker for map
    protected:
	  DECLARE_P2PeerMsg_MAP()
      msgRESULT
        On_SQLselectCatch ( P2PeerMsg *pMsg );
      msgRESULT
        On_SQLselectItem ( P2PeerMsg *pMsg );

    // MFC message map
	  DECLARE_MESSAGE_MAP()
    afx_msg void OnSize(UINT nType, int cx, int cy);
    afx_msg void OnQueryExecute();
};


